Subject: Re: [PATCH] fix missing option in binutils version check

From: Tom Rini <[email-masked]>
Date: Sun, 4 Jul 2004 11:32:55 -0700

On Sun, Jul 04, 2004 at 10:32:52AM +0200, Geert Uytterhoeven wrote:

> On Sat, 3 Jul 2004, Tom Rini wrote:
> > On Sun, Jul 04, 2004 at 03:30:47AM +0200, Stef Simoens wrote:
> > > Olaf Hering wrote:
> > > > On Tue, Jun 15, Tom Rini wrote:
> > > >>And yes, passing -many does work on all older supported versions of
> > > >>binutils.  So perhaps we should just add -Wa,-many to our cflags and be
> > > >>done with it now (and for future fixes of this sort).
> > > >
> > > >gcc 3.2 passes only -mppc, so all altive instructions will fail to
> > > >compile without either -many or -maltivec
> > >
> > > Are there altivec instructions when CONFIG_ALTIVEC is not set?
> >
> > Yes.  And I can forsee in the future were we might have BookE specific
> > ones in the same situation.
>
> Perhaps it makes sense to add a directive to the assembler to switch on the
> fly, cfr. the `.chip' directive on m68k? E.g. using

AFAIK, the problem which caused the need for introducing -maltivec was
a problem with the disassembler and conflicting opcodes.  It should still
be able to check the validity of things with -many (I would hope..).

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/